package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_SUBSETCOLUMNS"
)
public class TCoreSubsetcolumns extends TBaseEntity {
   private String subsetid;
   private String tablename;
   private String columnname;
   private String tkey;
   private String typename;
   private String columnsize;
   private String decimaldigits;
   private String maintable;
   private String maincolumn;
   private String ruleid;
   private String queryparam;
   @Transient
   private String rulename;
   private Date updatetime;

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public TCoreSubsetcolumns() {
   }

   public TCoreSubsetcolumns(String subsetid, String tablename) {
      this.subsetid = subsetid;
      this.tablename = tablename;
   }

   public TCoreSubsetcolumns(String subsetid, String tablename, String columnname, String tkey, String typename, String columnsize, String decimaldigits, String queryparam, String maintable, String maincolumn) {
      this.subsetid = subsetid;
      this.tablename = tablename;
      this.columnname = columnname;
      this.tkey = tkey;
      this.typename = typename;
      this.columnsize = columnsize;
      this.decimaldigits = decimaldigits;
      this.queryparam = queryparam;
      this.maintable = maintable;
      this.maincolumn = maincolumn;
   }

   public String getQueryparam() {
      return this.queryparam;
   }

   public void setQueryparam(String queryparam) {
      this.queryparam = queryparam;
   }

   public TCoreSubsetcolumns(String subsetid, String tablename, String columnname, String tkey, String typename, String columnsize, String decimaldigits, String maintable, String maincolumn, String ruleid, String rulename) {
      this.subsetid = subsetid;
      this.tablename = tablename;
      this.columnname = columnname;
      this.tkey = tkey;
      this.typename = typename;
      this.columnsize = columnsize;
      this.decimaldigits = decimaldigits;
      this.maintable = maintable;
      this.maincolumn = maincolumn;
      this.ruleid = ruleid;
      this.rulename = rulename;
   }

   public String getSubsetid() {
      return this.subsetid;
   }

   public void setSubsetid(String subsetid) {
      this.subsetid = subsetid;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getTkey() {
      return this.tkey;
   }

   public void setTkey(String tkey) {
      this.tkey = tkey;
   }

   public String getTypename() {
      return this.typename;
   }

   public void setTypename(String typename) {
      this.typename = typename;
   }

   public String getColumnsize() {
      return this.columnsize;
   }

   public void setColumnsize(String columnsize) {
      this.columnsize = columnsize;
   }

   public String getDecimaldigits() {
      return this.decimaldigits;
   }

   public void setDecimaldigits(String decimaldigits) {
      this.decimaldigits = decimaldigits;
   }

   public String getMaintable() {
      return this.maintable;
   }

   public void setMaintable(String maintable) {
      this.maintable = maintable;
   }

   public String getMaincolumn() {
      return this.maincolumn;
   }

   public void setMaincolumn(String maincolumn) {
      this.maincolumn = maincolumn;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.columnsize == null ? 0 : this.columnsize.hashCode());
      result = 31 * result + (this.decimaldigits == null ? 0 : this.decimaldigits.hashCode());
      result = 31 * result + (this.tkey == null ? 0 : this.tkey.hashCode());
      result = 31 * result + (this.maincolumn == null ? 0 : this.maincolumn.hashCode());
      result = 31 * result + (this.maintable == null ? 0 : this.maintable.hashCode());
      result = 31 * result + (this.queryparam == null ? 0 : this.queryparam.hashCode());
      result = 31 * result + (this.ruleid == null ? 0 : this.ruleid.hashCode());
      result = 31 * result + (this.rulename == null ? 0 : this.rulename.hashCode());
      result = 31 * result + (this.subsetid == null ? 0 : this.subsetid.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      result = 31 * result + (this.typename == null ? 0 : this.typename.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSubsetcolumns other = (TCoreSubsetcolumns)obj;
         if (this.columnname == null) {
            if (other.columnname != null) {
               return false;
            }
         } else if (!this.columnname.equals(other.columnname)) {
            return false;
         }

         if (this.columnsize == null) {
            if (other.columnsize != null) {
               return false;
            }
         } else if (!this.columnsize.equals(other.columnsize)) {
            return false;
         }

         if (this.decimaldigits == null) {
            if (other.decimaldigits != null) {
               return false;
            }
         } else if (!this.decimaldigits.equals(other.decimaldigits)) {
            return false;
         }

         if (this.tkey == null) {
            if (other.tkey != null) {
               return false;
            }
         } else if (!this.tkey.equals(other.tkey)) {
            return false;
         }

         if (this.maincolumn == null) {
            if (other.maincolumn != null) {
               return false;
            }
         } else if (!this.maincolumn.equals(other.maincolumn)) {
            return false;
         }

         if (this.maintable == null) {
            if (other.maintable != null) {
               return false;
            }
         } else if (!this.maintable.equals(other.maintable)) {
            return false;
         }

         if (this.queryparam == null) {
            if (other.queryparam != null) {
               return false;
            }
         } else if (!this.queryparam.equals(other.queryparam)) {
            return false;
         }

         if (this.ruleid == null) {
            if (other.ruleid != null) {
               return false;
            }
         } else if (!this.ruleid.equals(other.ruleid)) {
            return false;
         }

         if (this.rulename == null) {
            if (other.rulename != null) {
               return false;
            }
         } else if (!this.rulename.equals(other.rulename)) {
            return false;
         }

         if (this.subsetid == null) {
            if (other.subsetid != null) {
               return false;
            }
         } else if (!this.subsetid.equals(other.subsetid)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         if (this.typename == null) {
            if (other.typename != null) {
               return false;
            }
         } else if (!this.typename.equals(other.typename)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreSubsetcolumns [subsetid=" + this.subsetid + ", tablename=" + this.tablename + ", columnname=" + this.columnname + ", tkey=" + this.tkey + ", typename=" + this.typename + ", columnsize=" + this.columnsize + ", decimaldigits=" + this.decimaldigits + ", maintable=" + this.maintable + ", maincolumn=" + this.maincolumn + ", ruleid=" + this.ruleid + ", queryparam=" + this.queryparam + ", rulename=" + this.rulename + "]";
   }
}
